-- Version: 9.0 SP2 9.0.3.3

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;

entity I2C_OLED is

    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic;
          I2C_0_SCL   : inout std_logic := 'Z';
          I2C_0_SDA   : inout std_logic := 'Z';
          MSS_RESET_N : in    std_logic;
          MAINXIN     : in    std_logic
        );

end I2C_OLED;

architecture DEF_ARCH of I2C_OLED is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component OLED_MSS
    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic := 'U';
          I2C_0_SCL   : inout   std_logic;
          I2C_0_SDA   : inout   std_logic;
          MSS_RESET_N : in    std_logic := 'U';
          MAINXIN     : in    std_logic := 'U'
        );
  end component;

    signal GND_net, VCC_net : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net);
    
    \GND\ : GND
      port map(Y => GND_net);
    
    OLED_MSS_0 : OLED_MSS
      port map(UART_0_TXD => UART_0_TXD, UART_0_RXD => UART_0_RXD, 
        I2C_0_SCL => I2C_0_SCL, I2C_0_SDA => I2C_0_SDA, 
        MSS_RESET_N => MSS_RESET_N, MAINXIN => MAINXIN);
    

end DEF_ARCH; 
