----------------------------------------------------------------------
-- Created by Actel SmartDesign Fri Aug 13 11:54:39 2010
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component I2C_OLED
        -- ports
        port( 
            -- Inputs
            UART_0_RXD : in std_logic;
            MSS_RESET_N : in std_logic;
            MAINXIN : in std_logic;

            -- Outputs
            UART_0_TXD : out std_logic;

            -- Inouts
            I2C_0_SCL : inout std_logic;
            I2C_0_SDA : inout std_logic

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  I2C_OLED
    I2C_OLED_0 : I2C_OLED
        -- port map
        port map( 
            -- Inputs
            UART_0_RXD => '0',
            MSS_RESET_N => NSYSRESET,
            MAINXIN => '0',

            -- Outputs
            UART_0_TXD =>  open,

            -- Inouts
            I2C_0_SCL =>  open,
            I2C_0_SDA =>  open

        );

end behavioral;

